variables:
  TB_GATEWAY_VERSION: 2.2.1rc

build-tb-gateway:
  image: docker:latest
  stage: build
  services:
    - docker:dind
  before_script:
    - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY
  script:
    - docker build --pull --build-arg="TB_GATEWAY_VERSION=${TB_GATEWAY_VERSION}" -t "$CI_REGISTRY_IMAGE:${TB_GATEWAY_VERSION}" .
    - docker push "$CI_REGISTRY_IMAGE:${TB_GATEWAY_VERSION}"
  only:
    - master

